### Hierarchy

- TreeableDetailComponentDemoShowcase

## Index

### Constructors

- constructor

### Properties

- updateService

### Methods

- ngOnInit

## Constructors

### constructor

- new TreeableDetailComponentDemoShowcase(updateService: SiteBrowserState): TreeableDetailComponentDemoShowcase

- - Defined in showcase/components/treeable-detail/treeable-detail.ts:11

  #### Parameters

  - ##### updateService: SiteBrowserState

  #### Returns TreeableDetailComponentDemoShowcase

## Properties

### Private updateService

updateService: SiteBrowserState

- Defined in showcase/components/treeable-detail/treeable-detail.ts:12

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in showcase/components/treeable-detail/treeable-detail.ts:14

  #### Returns void

Generated using TypeDoc